All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface SASLibrary

All Superinterfaces:
  CMetadata, DeployedDataPackage, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, RelationalSchema, java.rmi.Remote, Root

All Known Subinterfaces:
  SecuredLibrary

    public interface SASLibrary

extends RelationalSchema

Represents a SAS library. A SAS library is a collection of one or more SAS files that are recognized by SAS software and that are referenced and stored as a unit. Each file is a member of the library. SAS libraries are accessed with a LIBNAME statement. The LIBNAME statement specifies the data engine and any required or optional parameters for accessing the data source. The SASLibrary metadata type stores the LIBNAME statement arguments necessary to access a particular data source in a metadata repository.

Attributes of SASLibrary are:

- `IsDBMSLibname`
- `Engine`
- `Libref`
- `IsPreassigned`

Associations of SASLibrary are:

- `DefaultLogin`
- `LibraryConnection`
- `SASCatalogs`

## Usage

To create an instance of this SASLibrary, use the `factory` create methods.
Example: create a SASLibrary with name "SASLibrary_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SASLibrary myObject = (SASLibrary) factory.createComplexMetadataObject(objectStore, "SASLibrary_Object", MetadataObjects.SASLIBRARY, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_DEFAULTLOGIN_NAME` Constant used for the name of the DefaultLogin association.
`static java.lang.String` | `ASSOCIATION_LIBRARYCONNECTION_NAME` Constant used for the name of the LibraryConnection association.
`static java.lang.String` | `ASSOCIATION_SASCATALOGS_NAME` Constant used for the name of the SASCatalogs association.
`static java.lang.String` | `ATTRIBUTE_ENGINE_NAME` Constant used for the name of the Engine attribute.
`static java.lang.String` | `ATTRIBUTE_ISDBMSLIBNAME_NAME` Constant used for the name of the IsDBMSLibname attribute.
`static java.lang.String` | `ATTRIBUTE_ISPREASSIGNED_NAME` Constant used for the name of the IsPreassigned attribute.
`static java.lang.String` | `ATTRIBUTE_LIBREF_NAME` Constant used for the name of the Libref attribute.

Fields inherited from interface com.sas.metadata.remote.RelationalSchema
`ASSOCIATION_SCHEMAPACKAGE_NAME, ASSOCIATION_TABLES_NAME`

Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage
`ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`Login` | `getDefaultLogin()` Gets the `Login` for `DefaultLogin`
`AssociationList` | `getDefaultLogins()` Gets the AssociationList of `DefaultLogins`
`AssociationList` | `getDefaultLogins(boolean fGoToServer)` Gets the Associationlist of `DefaultLogins`
`java.lang.String` | `getEngine()` Gets the `String` value of `Engine`
`int` | `getEngineMaxLength()` Gets the maximum length of `Engine`
`int` | `getEngineState()` Gets the Metadata State of `Engine`
`int` | `getIsDBMSLibname()` Gets the `int` value of `IsDBMSLibname`
`int` | `getIsDBMSLibnameState()` Gets the Metadata State of `IsDBMSLibname`
`int` | `getIsPreassigned()` Gets the `int` value of `IsPreassigned`
`int` | `getIsPreassignedState()` Gets the Metadata State of `IsPreassigned`
`SASClientConnection` | `getLibraryConnection()` Gets the `SASClientConnection` for `LibraryConnection`
`AssociationList` | `getLibraryConnections()` Gets the AssociationList of `LibraryConnections`
`AssociationList` | `getLibraryConnections(boolean fGoToServer)` Gets the Associationlist of `LibraryConnections`
`java.lang.String` | `getLibref()` Gets the `String` value of `Libref`
`int` | `getLibrefMaxLength()` Gets the maximum length of `Libref`
`int` | `getLibrefState()` Gets the Metadata State of `Libref`
`AssociationList` | `getSASCatalogs()` Gets the AssociationList of `SASCatalogs`
`AssociationList` | `getSASCatalogs(boolean fGoToServer)` Gets the Associationlist of `SASCatalogs`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `DefaultLogin` `LibraryConnection` `SASCatalogs`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setDefaultLogin(Login inObject)` Sets the `DefaultLogins` list 0th element to be `inObject`.
`void` | `setDefaultLogins(AssociationList list)` Sets the `DefaultLogins` list to be `list`.
`void` | `setDefaultLogins(AssociationList list, int state)` Sets the `DefaultLogins` list to be `list`.
`void` | `setEngine(java.lang.String inEngine)` Sets the `Engine` value and sets the state to MetadataState.LOCAL.
`void` | `setEngine(java.lang.String inEngine, int state)` Sets the `Engine` Metadata State.
`void` | `setEngineState(int state)` Sets the Metadata State of `Engine`.
`void` | `setIsDBMSLibname(int inIsDBMSLibname)` Sets the `IsDBMSLibname` value and sets the state to MetadataState.LOCAL.
`void` | `setIsDBMSLibname(int inIsDBMSLibname, int state)` Sets the `IsDBMSLibname` Metadata State.
`void` | `setIsDBMSLibname(java.lang.String inIsDBMSLibname)` Sets the `IsDBMSLibname` value and sets the state to MetadataState.LOCAL.
`void` | `setIsDBMSLibname(java.lang.String inIsDBMSLibname, int state)` Sets the `IsDBMSLibname` value and Metadata State.
`void` | `setIsDBMSLibnameState(int state)` Sets the Metadata State of `IsDBMSLibname`.
`void` | `setIsPreassigned(int inIsPreassigned)` Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.
`void` | `setIsPreassigned(int inIsPreassigned, int state)` Sets the `IsPreassigned` Metadata State.
`void` | `setIsPreassigned(java.lang.String inIsPreassigned)` Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.
`void` | `setIsPreassigned(java.lang.String inIsPreassigned, int state)` Sets the `IsPreassigned` value and Metadata State.
`void` | `setIsPreassignedState(int state)` Sets the Metadata State of `IsPreassigned`.
`void` | `setLibraryConnection(SASClientConnection inObject)` Sets the `LibraryConnections` list 0th element to be `inObject`.
`void` | `setLibraryConnections(AssociationList list)` Sets the `LibraryConnections` list to be `list`.
`void` | `setLibraryConnections(AssociationList list, int state)` Sets the `LibraryConnections` list to be `list`.
`void` | `setLibref(java.lang.String inLibref)` Sets the `Libref` value and sets the state to MetadataState.LOCAL.
`void` | `setLibref(java.lang.String inLibref, int state)` Sets the `Libref` Metadata State.
`void` | `setLibrefState(int state)` Sets the Metadata State of `Libref`.
`void` | `setSASCatalogs(AssociationList list)` Sets the `SASCatalogs` list to be `list`.
`void` | `setSASCatalogs(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

Methods inherited from interface com.sas.metadata.remote.RelationalSchema
`getSchemaPackage, getSchemaPackages, getSchemaPackages, getTables, getTables, setSchemaPackage, setSchemaPackages, setSchemaPackages, setTables, setTables`

Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage
`getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ISDBMSLIBNAME_NAME

    static final java.lang.String ATTRIBUTE_ISDBMSLIBNAME_NAME

  Constant used for the name of the IsDBMSLibname attribute.

  IsDBMSLibname: A boolean that indicates whether this library uses a connection to an external database server.

  See Also:
    Constant Field Values

### ATTRIBUTE_ENGINE_NAME

    static final java.lang.String ATTRIBUTE_ENGINE_NAME

  Constant used for the name of the Engine attribute.

  Engine: The engine specification used by the SAS LIBNAME statement.

  See Also:
    Constant Field Values

### ATTRIBUTE_LIBREF_NAME

    static final java.lang.String ATTRIBUTE_LIBREF_NAME

  Constant used for the name of the Libref attribute.

  Libref: The libref used by the SAS LIBNAME statement.

  See Also:
    Constant Field Values

### ATTRIBUTE_ISPREASSIGNED_NAME

    static final java.lang.String ATTRIBUTE_ISPREASSIGNED_NAME

  Constant used for the name of the IsPreassigned attribute.

  IsPreassigned: This boolean indicates whether the library is pre-assigned in the SAS session. If true, the other attributes of this object that contain information used by a LIBNAME statement may be provided for documentation purposes only but is not required to access the library, because the LIBNAME has been assigned via some other mechanism.

  See Also:
    Constant Field Values

### ASSOCIATION_DEFAULTLOGIN_NAME

    static final java.lang.String ASSOCIATION_DEFAULTLOGIN_NAME

  Constant used for the name of the DefaultLogin association.

  DefaultLogin: The default login to use for this library.

  See Also:
    Constant Field Values

### ASSOCIATION_LIBRARYCONNECTION_NAME

    static final java.lang.String ASSOCIATION_LIBRARYCONNECTION_NAME

  Constant used for the name of the LibraryConnection association.

  LibraryConnection: The connection to a DBMS server or a SAS server.

  See Also:
    Constant Field Values

### ASSOCIATION_SASCATALOGS_NAME

    static final java.lang.String ASSOCIATION_SASCATALOGS_NAME

  Constant used for the name of the SASCatalogs association.

  SASCatalogs: The catalogs contained in this library.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `RelationalSchema`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `DefaultLogin`
  `LibraryConnection`
  `SASCatalogs`

  Specified by:
    `initializePredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `RelationalSchema`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsDBMSLibname

    int getIsDBMSLibname()
                         throws java.rmi.RemoteException

  Gets the `int` value of `IsDBMSLibname`

  Returns:
    The `IsDBMSLibname`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsDBMSLibnameState

    int getIsDBMSLibnameState()
                              throws java.rmi.RemoteException

  Gets the Metadata State of `IsDBMSLibname`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEngine

    java.lang.String getEngine()
                               throws java.rmi.RemoteException

  Gets the `String` value of `Engine`

  Returns:
    The `Engine`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEngineState

    int getEngineState()
                       throws java.rmi.RemoteException

  Gets the Metadata State of `Engine`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEngineMaxLength

    int getEngineMaxLength()
                           throws java.rmi.RemoteException

  Gets the maximum length of `Engine`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLibref

    java.lang.String getLibref()
                               throws java.rmi.RemoteException

  Gets the `String` value of `Libref`

  Returns:
    The `Libref`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLibrefState

    int getLibrefState()
                       throws java.rmi.RemoteException

  Gets the Metadata State of `Libref`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getLibrefMaxLength

    int getLibrefMaxLength()
                           throws java.rmi.RemoteException

  Gets the maximum length of `Libref`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsPreassigned

    int getIsPreassigned()
                         throws java.rmi.RemoteException

  Gets the `int` value of `IsPreassigned`

  Returns:
    The `IsPreassigned`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsPreassignedState

    int getIsPreassignedState()
                              throws java.rmi.RemoteException

  Gets the Metadata State of `IsPreassigned`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDefaultLogins

    AssociationList getDefaultLogins()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the AssociationList of `DefaultLogins`

  Returns:
    Returns the AssociationList of `DefaultLogins` which can be of type:
    Login
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getDefaultLogin

    Login getDefaultLogin()
                          throws java.rmi.RemoteException,
                                 MdException

  Gets the `Login` for `DefaultLogin`

  Returns:
    The `Login` ( `null` if not set) of `DefaultLogin`which can be of type:
    Login
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLibraryConnections

    AssociationList getLibraryConnections()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the AssociationList of `LibraryConnections`

  Returns:
    Returns the AssociationList of `LibraryConnections` which can be of type:
    SASClientConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getLibraryConnection

    SASClientConnection getLibraryConnection()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the `SASClientConnection` for `LibraryConnection`

  Returns:
    The `SASClientConnection` ( `null` if not set) of `LibraryConnection`which can be of type:
    SASClientConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSASCatalogs

    AssociationList getSASCatalogs()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the AssociationList of `SASCatalogs`

  Returns:
    Returns the AssociationList of `SASCatalogs` which can be of type:
    SASCatalog
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDefaultLogins

    AssociationList getDefaultLogins(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `DefaultLogins`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `DefaultLogins` which can be of type:
    Login
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLibraryConnections

    AssociationList getLibraryConnections(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `LibraryConnections`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `LibraryConnections` which can be of type:
    SASClientConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSASCatalogs

    AssociationList getSASCatalogs(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `SASCatalogs`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `SASCatalogs` which can be of type:
    SASCatalog
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setIsDBMSLibname

    void setIsDBMSLibname(int inIsDBMSLibname)
                          throws java.rmi.RemoteException

  Sets the `IsDBMSLibname` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsDBMSLibname` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsDBMSLibname

    void setIsDBMSLibname(int inIsDBMSLibname,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `IsDBMSLibname` Metadata State.

  Parameters:
    `inIsDBMSLibname` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsDBMSLibname

    void setIsDBMSLibname(java.lang.String inIsDBMSLibname)
                          throws java.rmi.RemoteException

  Sets the `IsDBMSLibname` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsDBMSLibname` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsDBMSLibname

    void setIsDBMSLibname(java.lang.String inIsDBMSLibname,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `IsDBMSLibname` value and Metadata State.

  Parameters:
    `inIsDBMSLibname` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsDBMSLibnameState

    void setIsDBMSLibnameState(int state)
                               throws java.rmi.RemoteException

  Sets the Metadata State of `IsDBMSLibname`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEngine

    void setEngine(java.lang.String inEngine)
                   throws java.rmi.RemoteException

  Sets the `Engine` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inEngine` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEngine

    void setEngine(java.lang.String inEngine,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Engine` Metadata State.

  Parameters:
    `inEngine` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEngineState

    void setEngineState(int state)
                        throws java.rmi.RemoteException

  Sets the Metadata State of `Engine`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibref

    void setLibref(java.lang.String inLibref)
                   throws java.rmi.RemoteException

  Sets the `Libref` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inLibref` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibref

    void setLibref(java.lang.String inLibref,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Libref` Metadata State.

  Parameters:
    `inLibref` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibrefState

    void setLibrefState(int state)
                        throws java.rmi.RemoteException

  Sets the Metadata State of `Libref`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsPreassigned

    void setIsPreassigned(int inIsPreassigned)
                          throws java.rmi.RemoteException

  Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsPreassigned` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsPreassigned

    void setIsPreassigned(int inIsPreassigned,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `IsPreassigned` Metadata State.

  Parameters:
    `inIsPreassigned` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsPreassigned

    void setIsPreassigned(java.lang.String inIsPreassigned)
                          throws java.rmi.RemoteException

  Sets the `IsPreassigned` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsPreassigned` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsPreassigned

    void setIsPreassigned(java.lang.String inIsPreassigned,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `IsPreassigned` value and Metadata State.

  Parameters:
    `inIsPreassigned` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsPreassignedState

    void setIsPreassignedState(int state)
                               throws java.rmi.RemoteException

  Sets the Metadata State of `IsPreassigned`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultLogins

    void setDefaultLogins(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `DefaultLogins` list to be `list`. Object of which can be of type:
  Login

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultLogins

    void setDefaultLogins(AssociationList list,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `DefaultLogins` list to be `list`. Object of which can be of type:
  Login

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDefaultLogin

    void setDefaultLogin(Login inObject)
                         throws java.rmi.RemoteException

  Sets the `DefaultLogins` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Login
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibraryConnections

    void setLibraryConnections(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `LibraryConnections` list to be `list`. Object of which can be of type:
  SASClientConnection

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibraryConnections

    void setLibraryConnections(AssociationList list,
                               int state)
                               throws java.rmi.RemoteException

  Sets the `LibraryConnections` list to be `list`. Object of which can be of type:
  SASClientConnection

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibraryConnection

    void setLibraryConnection(SASClientConnection inObject)
                              throws java.rmi.RemoteException

  Sets the `LibraryConnections` list 0th element to be `inObject`.

  Parameters:
    `inObject` - SASClientConnection
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASCatalogs

    void setSASCatalogs(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `SASCatalogs` list to be `list`. Objects of which can be of type:
  SASCatalog

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSASCatalogs

    void setSASCatalogs(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.